## kodiplatform 16.0.0

=== CMakeLists.txt ===
project(kodiplatform)

cmake_minimum_required(VERSION 2.6)
enable_language(CXX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(kodi REQUIRED)
find_package(TinyXML REQUIRED)
find_package(Threads REQUIRED)
find_package(platform REQUIRED)
include(UseMultiArch.cmake)
include(CheckAtomic.cmake)

set(kodiplatform_NAME kodiplatform)
set(kodiplatform_DESCRIPTION "Kodi add-on platform support library")
set(kodiplatform_VERSION_MAJOR ${APP_VERSION_MAJOR})
set(kodiplatform_VERSION_MINOR ${APP_VERSION_MINOR})
set(kodiplatform_VERSION_PATCH 0)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()

set(kodiplatform_INCLUDE_DIRS ${TINYXML_INCLUDE_DIR} "${CMAKE_INSTALL_PREFIX}/include/kodi")
IF(WIN32)
  LIST(APPEND kodiplatform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/kodi/windows")
ENDIF(WIN32)
set(kodiplatform_LIBRARIES ${CMAKE_THREAD_LIBS_INIT} ${TINYXML_LIBRARIES})

if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
  if(${CORE_SYSTEM_NAME} STREQUAL "darwin" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
    list(APPEND kodiplatform_LIBRARIES "-framework CoreVideo -framework IOKit")
  endif()
endif()

set(SOURCES src/util/XMLUtils.cpp)

include_directories(${TINYXML_INCLUDE_DIR} ${KODI_INCLUDE_DIR} ${platform_INCLUDE_DIRS})

add_library(kodiplatform ${SOURCES} ${PLAT_SOURCES})
target_link_libraries(kodiplatform ${kodiplatform_LIBRARIES} ${platform_LIBRARIES})
set_target_properties(kodiplatform PROPERTIES VERSION ${kodiplatform_VERSION_MAJOR}.${kodiplatform_VERSION_MINOR}.${kodiplatform_VERSION_PATCH}
                                              SOVERSION ${kodiplatform_VERSION_MAJOR}.0)

install(TARGETS kodiplatform DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES src/util/XMLUtils.h
        DESTINATION include/kodi/util)

IF(NOT WIN32)
  # Pkgconfig
  include(PkgConfigHandler.cmake)
  configure_pc_file(kodiplatform kodiplatform.pc.in
                                 kodiplatform.pc
                                 ${CMAKE_INSTALL_PREFIX}
                                 ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
                                 ${CMAKE_INSTALL_PREFIX}/include)

  install(FILES ${CMAKE_BINARY_DIR}/kodiplatform.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
ENDIF(NOT WIN32)

# config mode
configure_file (kodiplatform-config.cmake.in
                kodiplatform-config.cmake @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/kodiplatform-config.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/kodiplatform)

# Quell warnings with in-tree builds
set(KODI_BUILD_DIR ${KODI_BUILD_DIR})

=== debian/changelog ===
kodiplatform (16.0.0-2) unstable; urgency=medium

  * Drop build-dependency on kodi-bin
    *.cmake files are now shipped by kodi-addons-dev
  * Fix Multimedia Team's email address.
    Thanks to Felipe Sateler
  * Stop providing virtual packages, they are not needed
  * Handle transition from libkodiplatform16v4

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Oct 2015 19:44:27 +0400

kodiplatform (16.0.0-1) unstable; urgency=medium

  [ Wolfgang Schupp ]
  * [debian] bump version forgotten in #5
  * [debian] fix packaging after version bump

  [ Lars Op den Kamp ]
  * split up into libplatform and libkodiplatform, and removed libCEC-only code

  [ Balint Reczey ]
  * Add configuration file for git-buildpackage
  * Change build-dependencies to match package names in Debian
  * Move to 3.0 (quilt) package format
  * Use the cec-platform name instead of platform
  * Add myself as Uploader
  * Extend package descriptions
  * Update debian/copyright
  * Bump compat level to 9
  * Bump standards version to 3.9.6
  * Simplify debian/rules
  * Install CMake and pkg-config files to multiarch dir
  * Make libkodiplatform-dev depend on misc:Depends
  * Don't duplicate Section: libs in debian/control
  * Add homepage
  * Don't set obsolete flags in pkg-config file
  * Fix SOVERSION of libkodiplatform.
    Also fix SOVERSION to be one single number
  * Make package team-maintained
  * Add symbols file
  * First upload to Debian (Closes: #798489)
  * Build depend on kodi-bin which provides kodi .cmake files
  * Build-depend on GCC 5
  * Fix (cec-)platform dependencies

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 09 Sep 2015 18:48:12 +0200

kodiplatform (15.0.0-1~trusty) trusty; urgency=medium

  * rebrand to kodi
  * bump to Isengard

 -- wsnipex <wsnipex@a1.net>  Thu, 12 Feb 2015 13:28:01 +0100

xbmcplatform (14.0.0-1~trusty) trusty; urgency=medium

  * bump version

 -- wsnipex <wsnipex@a1.net>  Mon, 07 Jul 2014 08:23:48 +0200

xbmcplatform (13.0.0-1~raring) raring; urgency=low

  * Initial release

 -- Arne Morten Kvarving <arne.morten.kvarving@sintef.no>  Sun, 19 May 2013 02:23:53 +0200

=== debian/control ===
Source: kodiplatform
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
           Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9~), cmake, libtinyxml-dev, kodi-addons-dev (>= 15.2~rc1+dfsg1-1~),
               libcec-platform-dev, g++ (>= 4:5.2)
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/xbmc/kodi-platform

Package: libkodiplatform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkodiplatform16 (= ${binary:Version}), libtinyxml-dev,
         libcec-platform-dev, ${misc:Depends}
Description: Kodi platform support library -- development files
 Kodi platform support library containing utility functions for
 accessing XML files.
 .
 These are the development files for libkodiplatform, needed only if you
 wish to write software which uses it.

Package: libkodiplatform16
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libkodiplatform16v4
Replaces: libkodiplatform16v4
Description: Kodi platform support library
 Kodi platform support library containing utility functions for
 accessing XML files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

## kodiplatform 17.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 find_package(kodi REQUIRED)
 find_package(TinyXML REQUIRED)
 find_package(Threads REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 include(UseMultiArch.cmake)
 include(CheckAtomic.cmake)
 
@@ -29,17 +29,17 @@
 set(kodiplatform_LIBRARIES ${CMAKE_THREAD_LIBS_INIT} ${TINYXML_LIBRARIES})
 
 if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
-  if(${CORE_SYSTEM_NAME} STREQUAL "darwin" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
-    list(APPEND kodiplatform_LIBRARIES "-framework CoreVideo -framework IOKit")
+  if(${CORE_SYSTEM_NAME} STREQUAL "osx" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
+    list(APPEND kodiplatform_LIBRARIES "-framework CoreVideo")
   endif()
 endif()
 
 set(SOURCES src/util/XMLUtils.cpp)
 
-include_directories(${TINYXML_INCLUDE_DIR} ${KODI_INCLUDE_DIR} ${platform_INCLUDE_DIRS})
+include_directories(${TINYXML_INCLUDE_DIR} ${KODI_INCLUDE_DIR} ${p8-platform_INCLUDE_DIRS})
 
 add_library(kodiplatform ${SOURCES} ${PLAT_SOURCES})
-target_link_libraries(kodiplatform ${kodiplatform_LIBRARIES} ${platform_LIBRARIES})
+target_link_libraries(kodiplatform ${kodiplatform_LIBRARIES} ${p8-platform_LIBRARIES})
 set_target_properties(kodiplatform PROPERTIES VERSION ${kodiplatform_VERSION_MAJOR}.${kodiplatform_VERSION_MINOR}.${kodiplatform_VERSION_PATCH}
                                               SOVERSION ${kodiplatform_VERSION_MAJOR}.0)

=== debian/changelog ===
kodiplatform (17.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update symbols file with the reverse GCC 5 transition changes
  * Ship libkodiplatform16v4 and update dependencies to reverse GCC 5 transition

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 30 May 2016 02:29:46 +0200

kodiplatform (17.0.0-2) unstable; urgency=medium

  * Bump standards version to 3.9.7
  * Re-upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 15:29:25 +0100

kodiplatform (17.0.0-1) experimental; urgency=medium

  * New upstream release 17.0
    - Switch to p8-platform from (cec-)platform
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 01 Mar 2016 12:20:04 +0100

=== debian/control ===
Source: kodiplatform
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
           Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9~), cmake, libtinyxml-dev, kodi-addons-dev (>= 16.0~),
               libp8-platform-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/xbmc/kodi-platform

Package: libkodiplatform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkodiplatform16v4 (= ${binary:Version}), libtinyxml-dev,
         libp8-platform-dev, ${misc:Depends}
Description: Kodi platform support library -- development files
 Kodi platform support library containing utility functions for
 accessing XML files.
 .
 These are the development files for libkodiplatform, needed only if you
 wish to write software which uses it.

Package: libkodiplatform16v4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kodi platform support library
 Kodi platform support library containing utility functions for
 accessing XML files.

## kodiplatform 17.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(TinyXML REQUIRED)
 find_package(Threads REQUIRED)
 find_package(p8-platform REQUIRED)

=== debian/changelog ===
kodiplatform (17.1.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2016 12:06:11 +0100

kodiplatform (17.1.0-1~exp0) experimental; urgency=medium

  * New upstream release 17.1
  * Build-depend on kodi-addons-dev (>= 17.0~)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Oct 2016 12:11:16 +0200

=== debian/control ===
Source: kodiplatform
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
           Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9~), cmake, libtinyxml-dev, kodi-addons-dev (>= 17.0~),
               libp8-platform-dev, g++ (>= 4:5.2)
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/xbmc/kodi-platform

Package: libkodiplatform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkodiplatform16 (= ${binary:Version}), libtinyxml-dev,
         libp8-platform-dev, ${misc:Depends}
Description: Kodi platform support library -- development files
 Kodi platform support library containing utility functions for
 accessing XML files.
 .
 These are the development files for libkodiplatform, needed only if you
 wish to write software which uses it.

Package: libkodiplatform16
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libkodiplatform16v4
Replaces: libkodiplatform16v4
Description: Kodi platform support library
 Kodi platform support library containing utility functions for
 accessing XML files.

## kodiplatform 20180302

=== debian/changelog ===
kodiplatform (20180302-1) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:40:43 +0100

kodiplatform (20180302-1~exp2) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Change Maintainer from @lists.alioth.debian.org
    to @lists.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field
  * Use debhelper-compat instead of debian/compat

  [ Balint Reczey ]
  * New upstream version 20180302
  * Add basic Salsa CI configuration
  * Bump build dependency kodi-addons-dev's version to (>= 2:18~)
  * Bump SO version and update symbols
  * ACK NMU

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 27 Feb 2020 16:56:32 +0100

kodiplatform (17.1.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches: Add patch 0004 to use GNUInstallDirs in CMakeLists.txt
    to fix FTBFS against debhelper 11.4+. (Closes: #912076)
  * debian/control:
    + Update Maintainer email address to debian-multimedia@lists.d.o.
    + Bump Standards-Version to 4.3.0.
    + Update package priority from "extra" to "optional".
  * debian/symbols: Remove missing optional symbols.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jun 2019 14:49:54 -0400

=== debian/control ===
Source: kodiplatform
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
           Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper-compat (= 9), cmake, libtinyxml-dev, kodi-addons-dev (>= 2:18~),
               libp8-platform-dev, g++ (>= 4:5.2)
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/xbmc/kodi-platform
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodiplatform
Vcs-Git: https://salsa.debian.org/multimedia-team/kodiplatform.git

Package: libkodiplatform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkodiplatform17 (= ${binary:Version}), libtinyxml-dev,
         libp8-platform-dev, ${misc:Depends}
Description: Kodi platform support library -- development files
 Kodi platform support library containing utility functions for
 accessing XML files.
 .
 These are the development files for libkodiplatform, needed only if you
 wish to write software which uses it.

Package: libkodiplatform17
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kodi platform support library
 Kodi platform support library containing utility functions for
 accessing XML files.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 export DH_OPTIONS
 
 %:
-	dh $@ 
+	dh $@
